<!--
  Generated template for the ChatsinglepagePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-container">
  
  <div class="header-inner-container">
    <ion-buttons class="back-btn-container" start>
      <button ion-button icon-only (click)="backBtn()" class="back-btn">
      </button>
    </ion-buttons>
  	<div class="user-name-container">
  		<div class="user-name-inner-container">
	  		<p class="user-name-label">{{ selectedUsersName }}</p>
	  	</div>
  	</div>
  	<div class="profile-photo-container">
  		<img-loader class="profile-photo" src="{{ selectedUserPhotoURL }}" imageViewer="{{ selectedUserPhotoURL }}" useImg></img-loader>
  	</div>
  </div>


</ion-header>


<ion-content padding class="wrap-all">

  
  <div class="chat-messages-container">
    <div class="bubble-outer-container" *ngFor="let message of allMessages; let i=index; let last = last;">
      <div class="bubble left" *ngIf="message.sender != ownUserID && message.message != '' && message.type == 'messages'">
        <div class="txt">
          <!-- for group chat only
            <p class="name">Benni</p> 
          -->
          <p class="message">{{ message.message }}</p>
          <span class="timestamp">{{ message.msgSentTime | date: 'd/M/yyyy h:mm a'}}</span>
        </div>
        <div class="bubble-arrow left"></div>
      </div>
      <!--  Speech Bubble alternative -->
      <div class="bubble right" *ngIf="message.sender == ownUserID && message.message != '' && message.type == 'messages'">
        <div class="txt">
          <p class="message">{{ message.message }}</p>
          <span class="timestamp">{{ message.msgSentTime | date: 'd/M/yyyy h:mm a'}}</span>
        </div>
        <div class="bubble-arrow right"></div>
      </div>
      <div class="bubble left" *ngIf="message.sender != ownUserID && message.message != '' && message.type == 'images'">
        <div class="pic">
          <!--<p class="name">Benni</p>-->
          <img-loader class="images-message" src="{{ message.message }}" imageViewer="{{ message.message }}" useImg></img-loader>
          <span class="timestamp">{{ message.msgSentTime | date: 'd/M/yyyy h:mm a'}}</span>
        </div>
        <div class="bubble-arrow left"></div>
      </div>
      <!--  Speech Bubble alternative -->
      <div class="bubble right" *ngIf="message.sender == ownUserID && message.message != '' && message.type == 'images'">
        <div class="pic">
          <img-loader class="images-message" src="{{ message.message }}" imageViewer="{{ message.message }}" useImg></img-loader>
          <span class="timestamp">{{ message.msgSentTime | date: 'd/M/yyyy h:mm a'}}</span>
        </div>
        <div class="bubble-arrow right"></div>
      </div>
      {{ scroll(last, i) }}
    </div>
  </div>


</ion-content>

<ion-footer class="chat-footer-container">
	<div class="chat-footer-inner-container">
		<div class="add-attachment-container">
			<button class="add-attachment-icon" (click)="openOptions(ChatSingleMsg)"></button>
		</div>
		<div class="chat-message-input-container">
			<ion-input type="text" placeholder="Messages..." [(ngModel)]="message" class="chat-input-box"></ion-input>
		</div>
		<div class="send-icon-container">
			<button class="send-icon" (click)="sendMessage(ChatSingleMsg, singleLastMsg)"></button>
		</div>
	</div>
</ion-footer>
